Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceParticipantGroups

Create Segment

POST
/participant-groups

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/participant-groups" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "name": "string",
  "description": "string",
  "type": "static",
  "criteria": {
    "property1": "string",
    "property2": "string"
  },
  "color": "string",
  "icon": "string",
  "parentGroupId": "e5e63afb-859b-44be-b014-ce932bd8bf74",
  "participantCount": -9007199254740991,
  "lastCalculatedAt": "2019-08-24T14:15:22Z",
  "isActive": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
name*string
description?|
type?unknown
Value in"static" | "dynamic" | "smart"
criteria?|
color?|
icon?|
parentGroupId?|
isActive?boolean